<?php
/*
\* ========================================================
\* 项目: CTB文本论坛
\* 版本: 1.0
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 超级管理员登陆模块
\* ========================================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 团队信箱: ------
\* 创建日期: 7月18日
\* 修改日期: 2002-12-27
\* 修改说明: 代码整理
\* 版权声明: 这个程序是免费软件.
\* ========================================================
*/


//=============================================================================
class Module extends CommonClass {
    //构造函数
    function execute() {
        switch($this->input['action']) {
            case 'loginCheck':
                $this->showCheck();
                break;
            case 'delLogin':
                $this->deleteLogin();
                break;
            default:
                $this->showLogin();
                break;
        }
    }
    //-------------------------------------------------------------------------
    //---1、显示登陆界面模块。------作者：险情
    //---1、登陆处理模块。------作者：险情
    //---3、退出处理模块模块。------作者：险情
    //-------------------------------------------------------------------------
    //-------------------------------------------------------------------------
    //显示登陆界面
    function showLogin()
    {
        eval("\$this->outPut(\"".$this->getTemplate("loginShow")."\",\"0\");");
    } // end func

    //-------------------------------------------------------------------------
	//登陆处理函数
    function showCheck()
    {
        //数据输入简单格式化
        if (!$this->input['userName'] || !$this->input['passWord']){
              $err="<font color=red>所有资料必须填写，请不要留空。</font>";
              $this->wrongPage($err,$url="main.php?mod=login");
        }
        $userName = $this->adminSafeChars($this->input['userName']);
        $passWord = $this->adminSafeChars($this->input['passWord']);
        //根据adminuser.php验证管理员登陆
        $this->file = "../".$this->set[dataPath]."/adminuser.php";
        $isExistedCode = $this->select_line("2",$userName);
        if (!$isExistedCode[2]){
			  $this->adminLoginLog($userName."->输入了非法的用户名");
              $err="<font color=red>$userName:您输入的用户名不存在，请不要非法登陆。</font>";
              $this->wrongPage($err,$url="main.php?mod=login");
        }elseif($isExistedCode[2] == $userName  && md5($passWord) == $isExistedCode[4]){ 
            if(strlen($passWord) != 32) {
                $passWord = md5($passWord);
            }
              $_SESSION['sess_adminid'] = $isExistedCode[1];
              $_SESSION['sess_adminlogin'] = $isExistedCode[2];
              $_SESSION['sess_adminname'] = $isExistedCode[3];
              $_SESSION['sess_adminpass'] = $isExistedCode[4];
              $_SESSION['sess_adminmode'] = $isExistedCode[5];

              
			  $this->adminLoginLog();
			  $err="<font color=red>$isExistedCode[3]</font>:您已经成功登陆，2秒钟后程式自动转移到正确页面。";
              $this->wrongPage($err,$url="index.php");
        } else {
			  $this->adminLoginLog($userName."->输入了非法的密码：".$passWord);
              $err="<font color=red>$userName:您输入的密码错误，请不要非法登陆。</font>";
              $this->wrongPage($err,$url="main.php?mod=login");
        }    
    } // end func
	//-------------------------------------------------------------------------
    //退出登陆处理函数
    function  deleteLogin()
    {
        global $PHPSESSID;

        unset($_SESSION['sess_adminid']);
        unset($_SESSION['sess_adminlogin']);
        unset($_SESSION['sess_adminname']);
        unset($_SESSION['sess_adminpass']);
        unset($_SESSION['sess_adminmode']);
        session_destroy();
        @unlink(session_save_path()."/sess_".$PHPSESSID);

        $err="您已经成功退出登陆，2秒钟后程式自动转移到正确页面。";
        $this->wrongPage($err,$url="main.php?mod=login");
    } //end func

//=============================================================================
} //end class